Node(equipment_id = 'r_ultrasound.psi.ch',
     description = 'resonant ultra sound setup',
     interface = 'tcp://5000',
)

Mod('iq',
    cls = 'frappy_psi.ultrasound.RUS',
    description = 'ultrasound iq mesurement',
    imod = 'i',
    qmod = 'q',
    freq='f',
    input_range=10,  # VPP
    input_delay = 0,
    periods = 163,
    )

Mod('freqio',
    'frappy_psi.ultrasound.FreqStringIO',
    ' ',
    uri = 'serial:///dev/ttyS1?baudrate=57600',
)

Mod('f',
    cls = 'frappy_psi.ultrasound.Frequency',
    description = 'ultrasound frequency',
    io='freqio',
    output='L',  # L for LF (bnc), R for RF (type N)
    target=10000,
)

Mod('i',
    cls='frappy.modules.Readable',
    description='I component',
)

Mod('q',
    cls='frappy.modules.Readable',
    description='Q component',
)
